<?php

namespace App\Modules\Shared\Domain;

class InsertResponse
{
    public function __construct(
        private string $id,
        private int $status,
        private int $code,
        private string $message
    ) {
    }

    public function id(): string
    {
        return $this->id;
    }
    public function status(): int
    {
        return $this->status;
    }
    public function code(): int
    {
        return $this->code;
    }
    public function message(): string
    {
        return $this->message;
    }
}
